Bug 833514 - Check direct and reverse address on ipa-replica-install
Check direct and reverse address on ipa-replica-install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 12:03 EDT by Dmitri Pal
Modified: 2014-06-17 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-06-19 12:03:38 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2845

If A and PTR record for a replica are wrong as soon as we switch to GSSAPI agreements then replication will stop working.
We should probably check that both replica resolve properly both direct and reverse and fail install with a clear message if they are not.
We should probably work ok if /etc/hosts is fine (as that what libgssapi would end up looking into), but we should probably still do lookup in DNS (if the master/replica has DNS installed) just to make sure clients will be able to work as well.
Comment 1 RHEL Product and Program Management 2012-07-10 02:21:21 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:28:51 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Rob Crittenden 2012-09-21 09:21:21 EDT
Fixed upstream.

This does a DNS/hosts file look up on the replica, it is double-checked via the conncheck we do, and finally if IPA is managing DNS we double-check that the host is there as well and prompt if not.

master: 230261a1a542b7758db9f7211aad517ef5fecee0

ipa-3-0: 4e5390558396e45bd454092c86d0187de6a9d324
Comment 7 Michael Gregg 2014-01-23 20:12:39 EST
Verified against ipa-server-3.3.3-13.el7.x86_64

Verified that replica install outputs clear error messages when the A and PTR records differ on a SLAVE. 

 Running 'ipa-replica-prepare -p Secret123 --ip-address=10.8.60.64 zippyvm5.idm.lab.eng.rdu2.redhat.com &> cat /opt/rhqa_ipa/ipa-replica-prepare-output-6.txt' (Expected 0, got 2)
Add the --ip-address argument to create a DNS entry.
The host name zippyvm5.idm.lab.eng.rdu2.redhat.com does not match the reverse lookup zippyvm5.testrelm.com
Comment 8 Ludek Smid 2014-06-13 09:00:21 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.